%define ver 2.15
%define rel 2mdk

Summary: LaTeX support for the jade tex backend 
name: jadetex
Version: %{ver}
Release: %{rel}
Requires: sgml-common, tetex >= 1.0.7, tetex-latex >= 1.0.7
Copyright: Copyright (C) 1995,1996,1997,1998,1999,2000 Sebastian Rahtz <s.rahtz@elsevier.co.uk>
Source0: ftp://ftp.duke.edu/tex-archive/macros/jadetex.tar.bz2
Patch0: jadetex.i8n.patch.bz2
Group: Publishing
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
%define TT `kpsewhich -expand-var '$TEXMFMAIN'` 

%description
JadeTeX contains the additional LaTeX macros necessary for taking Jade
TeX output files and processing them as LaTeX files.

%prep
%setup -q -n jadetex
%patch0 -p1 

%build
tex jadetex.ins 
tex -ini "&hugelatex" -progname=jadetex jadetex.ini 
pdftex -ini "&pdflatex" -progname=pdfjadetex pdfjadetex.ini 

%install

export TT=`kpsewhich -expand-var '$TEXMFMAIN'`
mkdir -p ${RPM_BUILD_ROOT}$TT/web2c 
cp pdfjadetex.fmt jadetex.fmt ${RPM_BUILD_ROOT}$TT/web2c
mkdir -p ${RPM_BUILD_ROOT}$TT/tex/jadetex
cp dsssl.def jadetex.ltx ${RPM_BUILD_ROOT}$TT/tex/jadetex

# make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/bin
ln -s virtex ${RPM_BUILD_ROOT}%{_prefix}/bin/jadetex
ln -s pdfvirtex ${RPM_BUILD_ROOT}%{_prefix}/bin/pdfjadetex

mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/man/man1
cp jadetex.1 pdfjadetex.1 ${RPM_BUILD_ROOT}%{_prefix}/man/man1 

%post
/usr/bin/env - /usr/bin/texhash 2> /dev/null
exit 0

%clean 
 rm -rf $RPM_BUILD_ROOT 

%files
%defattr(-,root,root)
%doc ChangeLog
%{_prefix}/man/man1/*
%{_prefix}/share/texmf/web2c/jadetex.fmt
%{_prefix}/share/texmf/web2c/pdfjadetex.fmt
%{_prefix}/share/texmf/tex/jadetex

%{_prefix}/bin/jadetex
%{_prefix}/bin/pdfjadetex

%changelog
* Sat Apr 29 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.15-2mdk
- removed %patch1 (now we have hugelatex).

* Sat Apr 08 2000 Camille Begnis <camille@mandrakesoft.com> 2.15-1mdk
- Complete spec rewrite
- updated to 2.15

* Mon Mar 20 2000 Camille Begnis <camille@mandrakesoft.com> 2.7-2mdk
- Fixed group
- Fixed absolute symlinks

* Sat Mar 18 2000 Camille Begnis <camille@mandrakesoft.com> 2.7-1mdk
- minor spec update
- patch now handles swedish
- updated to 2.7

* Tue Feb 29 2000 Camille Begnis <camille@mandrakesoft.com> 2.5-3mdk
- Added patch to handle portuges,brazil,spanish,italian.
- A few adaptations to new policies

* Thu Dec 02 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- New environment

* Wed Aug 25 1999 Pablo Saratxaga <chmouel@mandrakesoft.com>
- 2.5-0 from rosalia@cygnus.com

* Sat Aug 14 1999 Jeff Johnson <jbj@redhat.com>
- update to 2.5.
- clean up the spec file.
- revert babel patch.

* Sat Jul 17 1999 Tim Powers <timp@redhat.com>
- added %defattr and removed all the %attr
- moved buildroot to /var/tmp instead of /tmp
- built for 6.1

* Thu Jul 08 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake adaptation with the help of author.
